Langsung ke konten utama
GET
/
v3
/
products
/
count
Count business products
curl --request GET \
  --url https://api.scalev.com/v3/products/count \
  --header 'Authorization: Bearer <token>'
{
  "count": 123
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Query

page_size
integer

Number of items per page (default: 25, max: 25)

Rentang yang diperlukan: x <= 25
Contoh:

25

next_cursor
string

Opaque cursor for the next page.

previous_cursor
string

Opaque cursor for the previous page.

Search term to filter products by name (case-insensitive, partial match)

is_inventory
boolean

Filter products by inventory tracking status (true or false)

is_product_sharing
boolean

Filter products by product sharing status (true or false)

warehouse_id
integer

Filter products associated with a specific warehouse ID

qty_type
enum<string>

Type of quantity to filter by. Options are 'available_qty' (only products with variants that have available quantity > 0)

Opsi yang tersedia:
available_qty
store_id
integer

Filter products associated with a specific store ID

is_checked
boolean

Show variants in products where is_checked is true or false

is_owned
boolean

Filter products by ownership. 'true' returns products owned by the business, 'false' returns shared products

item_type
enum<string>

Filter products by item type (physical, digital, course, license, subscription) Type of the product item

Opsi yang tersedia:
physical,
digital,
course,
license,
subscription
label
string

Filter products associated with a specific label name

pricing_type
enum<string>

Filter products by pricing type (one_time or recurring)

Opsi yang tersedia:
one_time,
recurring

Respons

Products count

count
integer

Total number of products